t.rast.contour - GRASS manual
Author: GRASS Development Team
Description: t.rast.contour: Produces a space time vector dataset of specified contours from a space time raster dataset.
Keywords: temporal, contour, raster, vector, time

## NAME

t.rast.contour - Produces a space time vector dataset of specified contours from a space time raster dataset.

## KEYWORDS

temporal, contour, raster, vector, time

## SYNOPSIS

t.rast.contour
t.rast.contour --help
t.rast.contour [-nt] input=name output=name [where=sql_query] basename=string [suffix=name] [step=float] [levels=float[,float,...]] [minlevel=float] [maxlevel=float] [cut=integer] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-n
  Register empty vector maps
-t
  Do not create attribute tables
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time raster dataset
output=name [required]
  Name of the output space time vector dataset
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
basename=string [required]
  Basename of the new generated output maps
  A numerical suffix separated by an underscore will be attached to create a unique identifier
suffix=name
  Suffix to add at basename: set 'gran' for granularity, 'time' for the full time format, 'num' for numerical suffix with a specific number of digits (default %%05)
  Default: gran
step=float
  Increment between contour levels
levels=float[,float,...]
  List of contour levels
minlevel=float
  Minimum contour level
maxlevel=float
  Maximum contour level
cut=integer
  Minimum number of points for a contour line (0 -> no limit)
  Default: 0
nprocs=integer
  Number of r.contour processes to run in parallel, more than 1 process works only in conjunction with flag -t
  Default: 1

## DESCRIPTION

t.rast.contour is designed to produce a space time vector dataset of specified contours from a space time raster dataset. This module works as a front-end to r.contour and therefore supports all parameter of this module. Hence, all raster map layers in a space time raster dataset are successively passed to r.contour that computes the contour lines. Please refer to the r.contour documentation for a detailed description. The new generated vector contour map layers will be registered in the output space time vector dataset, using the same time stamps as their raster map layer origins.

This module supports the parallel processing of r.contour module instances. The number of parallel processes can be set with the nprocs option. However, this will only work in conjunction with the -t flag, that avoids the creation of attribute tables. The parallel creation of attribute tables is not supported.

The where option allows selecting subsets of the input space time raster dataset.

The flag -n can be used to force the registration of empty vector map layers. Empty vector maps may occur in case that empty raster map layers should be converted into vector map layers, or in case the chosen steps or contour levels are not present in the raster map layers.

## SEE ALSO

r.contour, t.rast.db.select, t.info

## AUTHOR

Sören Gebbert, Geoinformatikbüro Dassau

## SOURCE CODE

Available at: t.rast.contour source code (history)

Latest change: Tuesday Jan 27 12:40:13 2026 in commit: 5e8b13d47dd4fc81efa5abefe90c34f7a8291fb9

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.6.0dev Reference Manual